Subject: Re: [PATCH net-next] tcp: auto corking

From: Rick Jones <[email-masked]>
Date: Fri, 06 Dec 2013 08:06:27 -0800

On 12/06/2013 02:30 AM, David Laight wrote:
>> From: Eric Dumazet <[email-masked]>
>>
>> With the introduction of TCP Small Queues, TSO auto sizing, and TCP
>> pacing, we can implement Automatic Corking in the kernel, to help
>> applications doing small write()/sendmsg() to TCP sockets.
>
> Presumably this has the greatest effect on connections with Nagle
> disabled?

I was wondering why Nagle didn't catch these things as well.  The 
netperf command line Eric provided though didn't include the 
test-specific -D option that would have disabled Nagle.  At least not 
unless the "super_netperf" wrapper was adding it.

So, why doesn't Nagle catch what is presumably a sub-MSS send while 
there is data outstanding on the connection?

rick jones